=== debian/changelog ===
recoll (1.15.9-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch 02_recoll_staticfix_626882.diff, merged upstream

 -- Kartik Mistry <kartik@debian.org>  Wed, 15 Jun 2011 09:20:20 +0530

recoll (1.15.8-2) unstable; urgency=low

  * debian/patches/02_recoll_staticfix_626882.diff:
    + Added patch to fix segfault in 1.15.8. Patch from Jean-Francois Dockes
      <jf@dockes.org> (Closes: #626882)

 -- Kartik Mistry <kartik@debian.org>  Tue, 17 May 2011 09:57:50 +0530

recoll (1.15.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02_kfreebsd-ftbfs.diff:
    + Removed. Merged with upstream.
  * debian/control:
    + Updated to Standards-Version 3.9.2 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Thu, 12 May 2011 09:47:21 +0530

recoll (1.15.7-2) unstable; urgency=low

  * Applied patch 02_kfreebsd-ftbfs.diff from upstream to fix FTBFS
    on kFreeBSD-* (Closes: #618796)
  * debian/copyright:
    + Updated to latest DEP-5 specification

 -- Kartik Mistry <kartik@debian.org>  Fri, 15 Apr 2011 18:38:54 +0530

recoll (1.15.7-1) unstable; urgency=low

  * New upstream release:
    + Fixed: Segmentation fault when file type radio button clicked.
      (Closes: #617353)
  * debian/patches/02_manpage_fix.diff:
    + Removed. Merged with upstream.

 -- Kartik Mistry <kartik@debian.org>  Sun, 13 Mar 2011 09:07:57 +0530

recoll (1.15.2-1) unstable; urgency=low

  * Upload to unstable
  * New upstream release
  * debian/patches:
    + Refreshed 01_nostrip_final_binaries_437901.diff
    + Added 02_manpage_fix.diff to fix manpage groff issues

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Feb 2011 11:25:58 +0530

recoll (1.14.4-1) experimental; urgency=low

  * New upstream release
  * debian/copyright:
    + Updated for DEP-5 format specification

 -- Kartik Mistry <kartik@debian.org>  Thu, 02 Dec 2010 00:29:06 +0530

recoll (1.14.2-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Added xlstproc as Recommends (Closes: #587684)
    + Added python-mutagen as Suggests
  * debian/patches:
    + Refreshed 01_nostrip_final_binaries_437901.diff
    + Removed 02_recoll-prepare-for-xapian-1.2.diff, merged with upstream

 -- Kartik Mistry <kartik@debian.org>  Mon, 27 Sep 2010 17:52:17 +0530
