=== debian/control ===
Source: recoll
Section: x11
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autotools-dev,
               libqt4-dev,
               libxapian-dev (>= 1.0.15),
               libx11-dev,
               libz-dev
Homepage: http://www.lesbonscomptes.com/recoll
Standards-Version: 3.9.2

Package: recoll
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: aspell, python, xsltproc
Suggests: antiword, catdoc, flac, ghostscript, libid3-tools,
 libimage-exiftool-perl, lyx, poppler-utils, pstotext, python-chm,
 python-mutagen, unrtf, untex, vorbis-tools
Description: Personal full text search package with a Qt GUI
 This package is a personal full text search package is based on a very strong
 backend (Xapian), for which it provides an easy to use and feature-rich
 interface.
 .
 Features:
  * Qt-based GUI
  * Supports the following document types (and their compressed versions)
   - Natively: text, html, OpenOffice files, maildir and mailbox (Mozilla and
     IceDove mail) with attachments, pidgin log files
   - With external helpers:  pdf (pdftotext), postscript (ghostscript), msword
     (antiword), excel, ppt (catdoc), rtf (unrtf)
  * Powerful query facilities, with boolean searches, phrases, filter on file
    types and directory tree
  * Support for multiple charsets, Internal processing and storage uses Unicode
    UTF-8
  * Stemming performed at query time (can switch stemming language after
    indexing)
  * Easy installation. No database daemon, web server or exotic language
    necessary
  * An indexer which runs either as a thread inside the GUI or as an external,
    cron'able program
