=== debian/changelog ===
recoll (1.16.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Updated as per DEP-5 format, simplying copyright file.
  * debian/control:
    + Dropped: flac, vorbis-tools and libid3-tools from Suggests, as
      python-mutagen handles audio now.
    + Dropped: lyx from Suggests, as it will be too heavy for most of users as
      discussed with upstream.
  * debian/rules:
    + Use STRIP variable to strip during install phase. This makes patch
      01_nostrip_final_binaries_437901.diff obsolete, removed this patch.

 -- Kartik Mistry <kartik@debian.org>  Wed, 09 Nov 2011 20:35:16 +0530

recoll (1.16.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Added missing GPL-3 URL in debian/* copyright section.

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Sep 2011 10:06:54 +0530

recoll (1.16.0-1) unstable; urgency=low

  * New upstream release:
    + See README.Debian for upgrade note and information.
  * debian/copyright:
    + Updated as per latest DEP-5 format.
  * debian/control:
    + Recommends: xdg-utils now.
  * debian/rules:
    + Added recommends build targets.

 -- Kartik Mistry <kartik@debian.org>  Thu, 22 Sep 2011 21:30:25 +0530
