=== debian/control ===
--- 
+++ 
@@ -14,10 +14,9 @@
 Package: recoll
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: aspell, python, xsltproc
-Suggests: antiword, catdoc, flac, ghostscript, libid3-tools,
- libimage-exiftool-perl, lyx, poppler-utils, pstotext, python-chm,
- python-mutagen, unrtf, untex, vorbis-tools
+Recommends: aspell, python, xdg-utils, xsltproc
+Suggests: antiword, catdoc, ghostscript, libimage-exiftool-perl, poppler-utils,
+ pstotext, python-chm, python-mutagen, unrtf, untex
 Description: Personal full text search package with a Qt GUI
  This package is a personal full text search package is based on a very strong
  backend (Xapian), for which it provides an easy to use and feature-rich
